Skip to main content
`Ctrl`+`K`

# numpy.base_repr

numpy.base_repr(number, base=2, padding=0)

  Return a string representation of a number in the given base system.

  Parameters:
    number int

      The value to convert. Positive and negative values are handled.

    base int, optional

      Convert `number` to the base number system. The valid range is 2-36, the default value is 2.

    padding int, optional

      Number of zeros padded on the left. Default is 0 (no padding).

  Returns:
    out str

      String representation of `number` in base system.

  See also

  `binary_repr`

    Faster version of `base_repr` for base 2.

  Examples

      >>> import numpy as np
      >>> np.base_repr(5)
      '101'
      >>> np.base_repr(6, 5)
      '11'
      >>> np.base_repr(7, base=5, padding=3)
      '00012'

      >>> np.base_repr(10, base=16)
      'A'
      >>> np.base_repr(32, base=16)
      '20'